<template>
  <div class="select-bar-layout d-flex">
    <h5 class="mb-0 select-bar-s-title mr-2">已选：</h5>
    <div class="select-bar-s d-flex pr-2" v-for="(iteam,index) in data" :key="index">
      <div class="select-bar d-flex border" v-if="iteam.value">
        <h6 class="mb-0 title">{{iteam.title}}：</h6>
        <p class="mb-0 content" :title="iteam.value">{{iteam.value}}</p>
        <a class="close-btn" @click="$emit('to-clear',iteam)">
          <span class="ion ion-md-close "></span>
        </a>
      </div>
    </div>
    <a class="clearAll-btn px-2 text-danger" @click="$emit('to-clear-all')">
      清空筛选
    </a>
  </div>
</template>
<script>
export default {
  name: 'selectBar',
  props: {
    data: {
      type: Array,
      default: () => ([])
    }
  },
  data() {
    return {}
  },
  computed: {},
  methods: {},
  created() {},
  watch: {}
}
</script>
<style lang="scss" scoped>
.select-bar-layout {
  padding: 2px 5px;
  .select-bar-s-title {
    font-size: 14px;
    line-height: 26px;
  }
  .select-bar-s {
    .select-bar {
      // width: 200px;
      padding: 2px 5px 2px 10px;
      .title {
        line-height: 20px;
      }
      .content {
        padding: 0 5px;
        width: 120px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
      .close-btn {
        display: inline-block;
        vertical-align: middle;
        font-weight: 800;
        width: 20px;
        text-align: center;
        cursor: pointer;
        color: #ccc;
      }
      .close-btn:hover {
        color: #d9534f;
      }
    }
  }
  .clearAll-btn {
    line-height: 26px;
    cursor: pointer;
    text-decoration: underline;
  }
}
</style>
